// Player.h

#pragma once

#include "Mobile.h"

using namespace System;

namespace SkillSystem
{
  #define PLAYERPROPERTY(type, name) \
    property type name \
    { \
      type get()       { return _##name           ; } \
      void set(type __##name) { _##name = __##name; } \
    } \

  public ref class Player : public Mobile
  {
  public:
    virtual bool IsPlayer() override;
  };
}